# eric4.QScintilla.Lexers.LexerCSharp

Module implementing a C# lexer with some additional methods.

### Global Attributes

None

### Classes

LexerCSharp | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCSharp

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCSharp, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerCSharp | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerCSharp (Constructor)

LexerCSharp(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCSharp.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerCSharp.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerCSharp.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up